package com.miaxis.icon.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 题目图标对象 icon_question
 *
 * @author miaxis
 * @date 2022-08-01
 */
@Data
@TableName("icon_question")
@ApiModel(value = "IconQuestion", description = "题目图标对象 icon_question")
public class IconQuestion extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 图标id */
    @Excel(name = "图标id")
    @TableField("icon_id")
    @ApiModelProperty(value = "图标id")
    private Long iconId;

    /** 标题 */
    @Excel(name = "图标标题")
    @TableField("title")
    @ApiModelProperty(value = "图标标题")
    private String title;


    /** 图标id */
    @Excel(name = "宝典题目id")
    @TableField("question_id")
    @ApiModelProperty(value = "宝典题目id")
    private Long questionId;

    /** 一点通题目id */
    @Excel(name = "一点通题目id")
    @TableField("ydt_id")
    @ApiModelProperty(value = "一点通题目id")
    private Long ydtId;


    /** 标题 */
    @Excel(name = "一点通图片地址")
    @TableField("ydt_image_url")
    @ApiModelProperty(value = "一点通图片地址")
    private String ydtImageUrl;

    /** 标题 */
    @Excel(name = "驾考宝典图片地址")
    @TableField("question_image_url")
    @ApiModelProperty(value = "驾考宝典图片地址")
    private String questionImageUrl;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setIconId(Long iconId){
        this.iconId = iconId;
    }

    public Long getIconId(){
        return iconId;
    }
    public void setYdtId(Long ydtId){
        this.ydtId = ydtId;
    }

    public Long getYdtId(){
        return ydtId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("iconId", getIconId())
            .append("ydtId", getYdtId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
